Check delivery area coverage
POST
/geocode/delivery-area
const url = 'https://example.com/geocode/delivery-area';const options = { method: 'POST', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"terms":["example"],"postcode":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/geocode/delivery-area \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "terms": [ "example" ], "postcode": "example" }'Preview proposed delivery area terms with the same matcher used by rounds and checkout. Counts active saved delivery addresses belonging to active customers in this business; zero matches do not mean a term is invalid. Optionally checks a full UK postcode. Unknown means the postcode could not be verified, including when the lookup service is unavailable. Does not save or change coverage.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
terms
required
Array<string>
postcode
string
Example generated
{ "terms": [ "example" ], "postcode": "example"}Responses
Section titled “Responses”Coverage preview
Media typeapplication/json
object
items
required
Array<object>
object
term
required
string
matchingAddresses
required
integer
uncheckedAddresses
required
integer
postcode
required
object
normalised
required
string | null
status
required
string
matchingTerms
required
Array<string>
Example
{ "postcode": { "status": "matched" }}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}